<?php
/*
 * Nexus is a web-based file management application.
 * Copyright (C) 2007 Karim Shehadeh
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

 $classPaths = 
	array(
			'include/engine',
			'include/engine/pages', 
			'include/engine/collections',
			'include/engine/filetypes',
			'include/engine/forms',
			'include/engine/objects',
            'include/engine/storage',
			'include/engine/uploader'
		);
		
/**
 *  @author iWonder Designs
 *  @copyright 2006, iWonder Designs
 *  @license GPL http://www.gnu.org/copyleft/gpl.html 
 */
function __autoload($class_name) 
{
	global $classPaths;
	if (substr($class_name,0, 2) == 'sh')
	{
		foreach($classPaths as $path)
		{
			$finalPath = '';
			$filename = $class_name . '.class.php';
			if ($path == '')
			{
				$finalPath = $filename;
			}
			else
			{
				$finalPath = $path.'/'.$filename;
			}
			
			if (file_exists($finalPath))
			{
				require_once $finalPath;
				break;
			}
		}  		
  	}
  	else if (substr($class_name,0, 2) == 'iw')
	{
  		require_once $class_name . '.class.php';
  	}  	
}
?>
