<?php
class iwParameterCollection
{
    protected $_parameters = array();
    
    public function add ($param)
    {
        $this->_parameters[$param->name()] = $param;
        return $param;
    }
    
    public function get ()
    {
        return $this->_parameters;    
    }
    
    public function have($name)
    {
        return isset ($this->_parameters[$name]);
    }
    
    public function find_object ($name)
    {
        if (isset ($this->_parameters[$name]))
        {
            return $this->_parameters[$name];
        }
    }
    
    public function find_value ($name)
    {
        if (isset ($this->_parameters[$name]))
        {
            return $this->_parameters[$name]->value();
        }
        
        return false;
    }
        
    public function mergeParameters (iwParameterCollection $otherCollection)
    {        
        $arr = $otherCollection->get();
        foreach ($arr as $p)
        {
            $this->add ($p);
        }
    }
}  
?>
