<?php
/**
* name: Custom Start Page
* description: Allow the administrator to pick the start page for various access levels
* date: 4/1/6/2008
* version: 1.0
* author: iWonder Designs
*/

nx_register_handler('EVENT_NAV_NEEDED','hidesidebar_getnav');

function hidesidebar_getnav($params)
{    
    $blocks = &$params['blocks'];    
    
    $user = app()->getLoggedInUserObject();
    if ($user != null)
    {
        if ($user->getPermissions()->getPermissionGroup() == USER_TYPE_REGISTERED)
        {            
            $block = new NavBlock();
            $block->title = 'Navigation';
            
            $item = new NavItem();
            $item->title = "Profile";
            $item->link = 'index.php?a='.URLACTION_MODUSER.'&id='.$user->get(PROP_USERNAME);
            $item->icon = smarty_templ_file_path('images/edit_user.jpg');
            $block->items[] = $item;
            
            $item = new NavItem();
            $item->title = "Logout";                                           
            $item->link = 'index.php?a='.URLACTION_LOGOUT;
            $item->icon = smarty_templ_file_path('images/logout_small.jpg');
            $block->items[] = $item; 
            
            $blocks = array($block);
        }
    }
        
    return true;
}
?>